curl -X POST https://api.moonkey.fun/v1/wallets/wallet_36kLvUkIIvyQPbdVr7Ackvh726L/rpc \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"method": "eth_personalSign",
"params": {
"message": "test"
}
}'
{
"method": "eth_personalSign",
"data": {
"signature": "0x1bc639199849d4afd5d3a32de9c5dffa236529245166baf00b1df871b55693b71c0d5c609c01714bcc0042ccca287b2e4ca1b79f5e89d6a9f8496726a5fddb961c",
"encoding": "hex"
}
}
Ethereum Wallets
Ethereum Sign Message
Sign a personal message using a managed wallet. Managed wallet means the private key is never exposed to the client and always stored encrypted in our vault.
POST
/
v1
/
wallets
/
{wallet_id}
/
rpc
curl -X POST https://api.moonkey.fun/v1/wallets/wallet_36kLvUkIIvyQPbdVr7Ackvh726L/rpc \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"method": "eth_personalSign",
"params": {
"message": "test"
}
}'
{
"method": "eth_personalSign",
"data": {
"signature": "0x1bc639199849d4afd5d3a32de9c5dffa236529245166baf00b1df871b55693b71c0d5c609c01714bcc0042ccca287b2e4ca1b79f5e89d6a9f8496726a5fddb961c",
"encoding": "hex"
}
}
Authorizations
string
required
Auth Platform API includes all the Auth related features. All Users, Phone Numbers, Emails, and OTPs are associated with an App as the container.Endpoints only accept App's Secret API keys other than certain endpoints that are used client side or via SDK that accept the
public_token.Authentication using App Api Key
Header:Authorization: Bearer {api_key}Path Parameters
string
required
Unique wallet ID of the wallet used to sign the message.
Request Body
string
required
Must be
eth_personalSign.object
required
Response
string
RPC method that was executed (
eth_personalSign).object
curl -X POST https://api.moonkey.fun/v1/wallets/wallet_36kLvUkIIvyQPbdVr7Ackvh726L/rpc \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"method": "eth_personalSign",
"params": {
"message": "test"
}
}'
{
"method": "eth_personalSign",
"data": {
"signature": "0x1bc639199849d4afd5d3a32de9c5dffa236529245166baf00b1df871b55693b71c0d5c609c01714bcc0042ccca287b2e4ca1b79f5e89d6a9f8496726a5fddb961c",
"encoding": "hex"
}
}